galaxy-caddy.reverse
====================

Push a reverse caddy config file

Requirements
------------

Needs [galaxy-vagrant](https://git.stdcall.me/ansible-galaxy/galaxy-vagrant) to run tests

Caddy webserver

Role Variables
--------------

- caddy_home: caddy home directory
- caddy_logs: caddy log directory
- caddy_conf: caddy config directory
- caddy_confd: caddy conf.d directory
- caddy_www: /var/www/caddy
- reverse_location: reverse destination point
- reverse_port: port to redirect to
- websocket_path: path to websocket (optional)
- websocket_localtion: reverse destination point for websocket config
- websocket_port: websocket port to redirect to
- websocket: yes/no - enable websocket block in config file
- vhost_name: name of the vhost

Dependencies
------------

- galaxy-caddy

Example Playbook
----------------

Including an example of how to use your role (for instance, with variables passed in as parameters) is always nice for users too:

    - hosts: servers
      roles:
         - { role: galaxy-caddy.reverse, vhostname: none, reverse_location: localhost, reverse_port: 4242 }

Run tests
---------

Ensure galaxy-vagrant is up

    ansible-playbook -i tests/inventory tests/test.yml

